# Command: empty

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    empty - Tests if a string or array is empty.

Synopsis:

    array empty -> array  bool
      string empty-> string bool
      dict empty -> dict bool

Examples:

    (hello) empty -> (hello) false

Description:

    empty returns true if the supplied string/array is
      of length 0, or the supplied dict has no entries.

SeeAlso:

- length
- size

Source:

    /opt/conda/conda-bld/nest_1512421404550/work/nest-2.12.0/lib/sli/typeinit.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative